Subject: Re: bug#16653: 24.3.50; unexpected results and errors with semantic completion in c-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 15:41:52 +0100

Thierry Volpiatto <[email-masked]> writes:

> I am trying to provide completion in helm for c-mode.
> Correct me if I am wrong I have no knowledge for C.
>
> 1) First of all, I see no completion at all if semantic-mode is not enabled.

Yes, I don't thing c-mode has any completion by default?

> 2) When semantic-mode is enabled the results I have are:
>    a) sometimes corrects (expected results)
>    b) sometimes totally unrelated to the string at point
>    c) sometimes return error with wrong-type-argument stringp nil.

I tried

emacs -Q lib-src/etags.c
M-x semantic-mode
M->

foo () {
  xnr
}

and then hit M-i after xnr.

Then semantic went off to work for half a minute, and then gave me
a set of completions that looked sensible to me.  So I'm unable to
reproduce this bug.  

> Please don't ask for a recipe, just open a file from emacs src
> directory, enable semantic and start completing.

Since you don't provide a recipe to the bug (or a backtrace), and since
I'm not able to reproduce any bugs when trying to come up with a recipe
myself (and Thierry's email bounces), it doesn't seem likely that
there'll be more progress in this bug report, and I'm closing it.  If
further progress can be made, please respond to the debbugs address, and
we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no